Welcome to Free Download Manager Help!

About Free Download Manager

Free Download Manager features

Working with Free Download Manager

Technical support

What is Free Download Manager?

Free Download Manager is a light-weight, powerful and easy-to-use application. It is designed for downloading files and whole web sites from any remote server via HTTP, HTTPS and FTP. With Free Download Manager you'll avoid problems related to downloading:

Connection instability. When the downloading process is interrupted you needn't start from the beginning again. Free Download Manager can resume broken download from where it was interrupted saving your time, nerves and money. Some servers don't support download resuming, but Free Download Manager will warn you about it allowing you to decide on downloading.

Connection speed. Free Download Manager splits files into several sections and downloads them simultaneously, allowing you to use any type of connection at the maximum available speed.

In addition, Free Download Manager allows you:

  • to organize downloaded files by their type, placing them in predefined folders;
  • to schedule a list of downloads, allowing you to start and pause downloadings at the set time;
  • to start several downloads at once and set the priority of each one;
  • to adjust traffic usage for browsing the Internet and downloading files at the same time.
  • to download whole web pages or even whole web sites with the HTML Spider help. You can adjust HTML Spider to download the files with specified extensions only.

System requirements:

In order to use FDM, you must have one of the following systems and one of the following browsers installed on your computer:

  • Microsoft Windows 9x/ME/NT/2000/XP
  • Internet Explorer 5.0 and above.

You can learn about the main FDM features here.


Free Download Manager features

Downloads features

Scheduler features

Site Explorer features

Site Manager features

HTML Spider features

Downloads features

Resuming unfinished downloads. With Free Download Manager you needn’t start unfinished download at the beginning again. You can continue the downloading process from where it has been interrupted. This feature is excellently saving your time and money.

Splitting download into several parts. FDM never downloads the whole file at once. This application splits selected file into several sections and downloads them simultaneously. You may specify the maximum number of these sections. This feature allows you to increase download speed to the maximum (from 1.1x up to 20x in depending on your connection type).

Download speed limitation. FDM allows you to limit download speed. This feature gives you a possibility to browse web pages much faster if you use a low connection speed. There are 3 modes of network usage: Light, Medium and Heavy. For the Light and the Medium ones you can specify the value of maximum network usage speed. Heavy mode doesn't allow you to specify it.

Monitoring browser clicks. To start file downloading, just right click on the link and select Download with FDM in the popup menu. Also you can specify the file extensions to be ignored or, on the contrary, to specify the file extensions which are necessary to be monitored.

List of downloads. Files are downloading by turns according to their appearance in the list. In order to start file downloading out of turn you can do it manually or increase its priority.

See here about using the Downloader in detail.

Scheduler features

Planning actions.With the Scheduler’s help you can plan launching of any program you need, start or stop downloading, set the dial-up connection, hang up the connection, exit from FDM, shutdown your computer, etc.

Download according to the schedule allows you to use FDM in automatic mode. So FDM can connect to the Internet, download files, hang-up the connection and shutdown the computer automatically.

See here about using the Scheduler in detail.

Site Explorer features

Site Explorer allows you to look through the list of files on the remote server. You can easily add to the list of downloads both the single files and the whole folders from this server. This feature allows you to explore HTTP, HTTPS and FTP servers.

See here about using the Site Explorer in detail.

Site Manager features

Site Manager allows you to specify site preferences such as login, maximum number of connections, default group, etc. So you needn't specify this information every time you create new download from the server.

See here about using the Site Manager in detail.

HTML Spider features

HTML Spider feature allows you to download web pages or whole web sites. You can adjust HTML Spider to download images and/or files from web sites. Also you can specify the extensions of files which you want to be downloaded. During the downloading process you can see the tree of web site pages.

See here about using HTML Spider in detail.


Version History

First public beta


Working with Free Download Manager

Free Download Manager consists of Downloads, Scheduler, Site Explorer, Site Manager and HTML Spider. You can switch between these tab pages with the tab control on the top side of the FDM main window.

Downloads
Downloads is the main unit in FDM. It is designed for download management.

Scheduler
Scheduler is designed for task management in automatic mode according to the schedule.

Site Explorer
Site Explorer is designed for getting a list of files on the remote server. Using it, you can download both the folders and the single files.

Site Manager
Site Manager allows you to adjust site preferences.

HTML Spider
HTML Spider allows you to download web pages and even the whole web sites from the Internet.


Downloads

Downloads window looks as follows:

The Downloads window displays a list of downloaded files, a list of download groups (such as music, software, video and other) and detailed status description of chosen download, named Log and Progress.

How to add a new download to the list

1. Monitoring browser clicks

Free Download Manager can monitor your browser clicks. When you click on the link of file you want to be downloaded, FDM checks the extension of this file and decides on its addition to the list according to the settings. ALT key state is checked.

FDM monitors clipboard. When a web address is being copied to the clipboard, FDM adds it to the list of downloads. In order to adjust browser and clipboard monitoring select Options->Downloads options and choose the Monitoring page.

Note for Netscape and Opera users. FDM will catch clicks on all archive, exe, audio and video files. You can't specify the file extensions to download; you can't use the ALT key too.

Internet Explorer. Press the CTRL+ALT keys to catch any click. (supported in Internet Explorer 5 and below)

2. “Download by Free Download Manager” menu command in Internet Explorer

You can add a new download by right clicking on the link in Internet Explorer and choose the “Download by Free Download Manager” menu.

3. Adding new download manually

Just select Downloads->Create new download, or press the Ins key.

Download management

Operating by downloads groups

In order to create new group right click on the group window and select Create new group in the popup menu. In the appeared dialog box you can specify default priority of downloads, group name and output folder on the disk where downloaded files of this group will be placed. You can specify group file extensions in order to detect automatically the group of download.

You can start, stop, delete all downloads in the group at once by right clicking on this group and choosing the appropriate menu item.

Operating by downloads

You can start, stop and schedule downloads. In order to do this select the required download in the list of downloads and choose the appropriate item in the Downloads menu.

Note. Being once stopped by user, download will never be started automatically until the Downloads->Start download automatically menu item is checked for this download.

In order to change downloads properties you ought to choose Downloads->Download properties or left double click on the required download in the list.


Scheduler

Scheduler window looks as follows:

Scheduler window displays a list of tasks on the top side and the scheduler log on the bottom.

How to add a new task to the list

In order to add a new task to the list choose Scheduler->Add task or press the Ctrl+T key.

What can you do with the Scheduler?

  • Launch a program.
  • Start/Stop specified downloads.
  • Dial-up to the Internet.
  • Hang-up the connection.
  • Change traffic usage mode.
  • Exit from Free Download Manager.
  • Shutdown, restart the computer and log off.

Setting task start time

Any task can be started:

  • At specified date and time.
  • In certain days of the week at the specified time.
  • Periodically, at the regular intervals.
  • At the occurrence of one of the following events:

a) Free Download Manager startup. Task will be started when FDM starts.
b) Successful dial-up connection to the Internet. Task will be started when dial-up connection is established.
c) Unsuccessful dial-up connection to the Internet. Task will be started when dial-up connection is failed.
d) No active downloads. Task will be started when all expecting downloads are finished.
e) Download speed is too low. Task will be started if the summary speed of download is less than the adjusted value.
f) All downloads has the “error” status. Task will be started if any running download can't receive data from the server during the specified time.

Task additional parameters

It is possible to set the following parameters for each task:
1. Confirmation to start the task by user.
2. Confirmation timeout. This is the time during which the Scheduler will be waiting for your confirmation. If you won’t react during this time the task will be started.

Current properties of the task can be changed in Scheduler->Task properties or by left double click on the task in the list.


Site Explorer

Site Explorer allows you to explore folder’s content on the remote server. Site Explorer acts like a Windows Explorer.

Site Explorer window looks as follows:

Site Explorer displays a list of files on the remote server on the top and an explorer log on the bottom.

How to use Site Explorer

Type server address in the Address field and press Enter or the button on the right side. A bit later Site Explorer will show you the list of accessible folders and files on the remote server.

How to download required folder or file

You need to right click on the required folder or file and then choose Download in the popup menu. You can download more than one folder or file selecting them in the file list by pressing CTRL.

You can adjust Site Explorer in Site Explorer settings.


Site Manager

Site Manager window looks as follows:

While using the Site Manager you can specify:

1. Login. If server requires authorization, you can specify the login information. So that you needn’t enter login information over and over again when you’re creating a new download from this server.

2. Limit of connections. You can specify the maximum number of connections to this server.

3. Default group. Every creating download from this server will be assigned to this group.

4. Using of FTP passive mode. You may set Free Download Manager to use the passive mode at downloading from this server via FTP.

Also in the Site Manager window you can see the current number of connection to each server.

There are 2 types of records in the Site Manager: Temporary or Permanent. If the record is the Temporary, it could be automatically deleted at any time. If you want some record to be stored Permanently, uncheck the Temporary box.

You can adjust any record in the Site Manager to be used for specified protocols only and for all subdomain sites.


HTML Spider

Using the HTML Spider

HTML Spider window looks as follows:

HTML Spider window displays a list of web pages on the top side, and a tree of web pages on the bottom side.

Here,
Web Page URL – URL of web page from which download was started.
Progress – current progress of downloading.
Files – shows current number of files downloaded from web pages / total number of files

What is HTML Spider?

HTML Spider is designed for downloading web pages from the Internet servers. HTML Spider works recursively according to the depth you specified. This feature allows you to download the whole sites (at the sufficient depth of downloading).

HTML Spider is very useful if you want to download any book submitted as the set of web pages. Use HTML Spider to save your time and nerves.

For example, you want to download http://site.com/some.html. Content of http://site.com/some.html is:

File name | File type | Will be downloaded
some2.html | web page | yes
logo.gif | image | *
archive.rar | file | *
text.txt | file | *
http://site2.com/index.html | web page | **

Content of some2.html is:

File name | File type | Will be downloaded
some3.html | web page | yes, if depth >= 1
logo2.gif | image | *, if depth >= 1
archive2.rar | file | *, if depth >= 1
text2.txt | file | *, if depth >= 1
http://site2.com/index.html | web page | **, if depth >= 1

(*) – according to the downloading settings
(**) – will be downloaded only if it is allowed.

The default downloading depth is 4. This depth allows to download content of the web page and its child web pages.

You can adjust HTML Spider to download specified files or images from web pages. To do this, press the Advanced button at the creating new download of web page. Otherwise you can setup default settings by the Options->HTML Spider default settings menu item.


Menu description

Main menu

Log window popup menu

Tray icon popup menu

Main menu

File
View
Downloads
Scheduler
Site Explorer
Site Manager
HTML Spider
Options
Tools

File
  • Save all - Saving the list of downloads and list of Scheduler's tasks.
  • Export settings - Saving Free Download Manager settings (including groups of downloads) to the file on the disk.
  • Import settings - Reading FDM settings (including groups of downloads) from the file on the disk.
  • Exit - Exit from Free Download Manager.

View
  • Toolbar - Show/hide toolbar
  • Status Bar - Show/hide status bar
  • Groups of downloads - Show/hide download groups window
  • Download info - Show/hide window with information about downloading (log and progress)
  • Log - Show/hide time, date and information in the log window
  • Switch to - Switch between Downloads, Scheduler, Site Explorer, HTML Spider, Site Manager
  • Language - Select program language

Downloads
  • Create new download - Add new download to the list.
  • Create batch download - Create new batch download.
  • Start download - Start selected download.
  • Stop download - Stop selected download.
  • Schedule download - Schedule the start of selected downloads at specified time.
  • Delete download - Delete selected downloads.
  • Launch file - Launch downloaded file.
  • Open containing folder Open folder which contains downloaded file.
  • Start download automatically - Switch on/off automatic start of download.
  • Download properties - Change properties of selected downloads.
  • Size request - Request about download size.
  • Advanced - Select one of the following actions: Restart download, Create one more section, Stop one section.

Scheduler
  • Add task - Add new task to the list
  • Enable task - Allow start of selected tasks
  • Disable task - Forbid start of selected tasks
  • Delete task - Delete selected tasks
  • Task properties - Change task properties

Site Explorer
  • Open containing folder - Open selected folder in the file list.
  • Open parent folder - Go to parent folder.
  • Stop - Stop the process of downloading.
  • Refresh - Refresh list of files.
  • Download - Add selected folders and files to the list of download.
  • Site Explorer settings - Adjust the Explorer settings.
  • Disconnect - Disconnect from the Internet.

Site Manager
  • Add site - Add information about new site.
  • Delete site - Delete information about selected site.
  • Temporary entry - Information about site will be stored in the Site Manager permanently if it is not checked.
  • Site properties - Modify the information about selected site.

HTML Spider
  • Download web site - Download the whole web site.
  • Start downloading - Start downloading.
  • Stop downloading - Start downloading in automatic mode.
  • Start downloading automatically - Refresh list of files.
  • Schedule downloading - Schedule downloading process (date, time, event).
  • Delete - Delete download.
  • Open containing folder - Open selected folder in the file list.
  • Open web page in browser - Open selected web page in browser.
  • Page downloading settings - Viewinf of web Page downloading settings.

Options
  • Downloader options - Changing of Downloader settings. You can adjust traffic usage modes, monitoring settings here.
  • Optimization wizard - Using of this wizard allows you to setup optimal settings of chosen connection type.
  • Default download settings - Setup default download properties. Every new download will have these properties by default.
  • HTML Spider default settings - Setup default HTML Spider settings. Every new HTML Spider's download will have these settings by default.
  • Program general settings - Change general settings.
  • Traffic usage mode - Change current traffic usage mode (light, heavy, medium).

Tools
  • Dial-up connection - Make dial-up connection to your Internet provider.
  • Hang-up when done - Hang-up your connection when downloading is complete.
  • Shutdown computer when done - Shutdown your computer when downloading is complete.

Log window popup menu

  • Clear - Clear log.
  • Auto scroll - Switch on/off automatic scrolling in the Log window.

Tray icon popup menu
  • Show main window - Show program window.
  • Browser monitoring - Switch on/off your browser monitoring.
  • Clipboard monitoring - Switch on/off clipboard monitoring.
  • Create new download - Create new download and add it to the list.
  • Start all downloads - Start all downloads in list of downloads.
  • Stop all downloads - Stop all downloads in list of downloads.
  • Traffic usage mode - Change current traffic usage mode (light, heavy, medium).
  • Dial-up connection - Make dial-up connection to your Internet provider.
  • Drop box - Connect to the Internet using dial-up.
  • About FDM - Display information about the program.
  • Exit - Exit from the program.


Technical Support

Support
Free Download Manager user support, bug reporting, etc.

Free Download Manager update
 Updating your Free Download Manager to the newer version.

Contact Info
How to contact us


User support

If you have some questions on using Free Download Manager don't hesitate to ask us. We’ll be glad to answer any of your questions. We’ll try to do it during 24 hours. To write the letter to the support service use the Help->Send e-mail to support group menu item.

If you have found some bugs, please, let us know. Also we’ll be glad to see your offers on the FDM improvement.

Please include follows in your message about bug:

  • URL of download.
  • OS you are running.
  • Free Download Manager build number, to see it choose the Help->About FDM menu item.
  • Please try as it possible to describe a sequence of actions resulting in a bug in detail.

Contact Info


Update

By default, Free Download Manager checks for the new version automatically. In order to check for the new version manually select Help->Check for update now.

When the new version is detected you’ll see the dialog box which shows the information about new version. Also you can choose a way of updating in this dialog box:

  • Update by full distributive.
  • Update by upgrade distributive.

In the first case a full distributive of the new version will be downloaded, in the second one an upgrade distributive will be downloaded. In both cases the result of updating will be the same.

The first way update is longer than second one because of the larger size of full distributive.

To setup update settings select the Options->Program general settings menu item. Select the Update page in the appeared dialog box.

Your update file will be saved to "Free Download Manager" folder and "Update" subfolder.


Contact Info

Technical Support: http://freedownloadmanager.org/support.htm

Free Download Manager Web Site: http://freedownloadmanager.org